[Overview][Types][Classes][Index] | Reference for unit 'ZStream' (#fcl)

# Tdecompressionstream.create

Creates a new instance of the TDecompressionStream stream

## Declaration

Source position: zstream.pp line 80

`public constructor Tdecompressionstream.create(`
`Asource: TStream;`
`Askipheader: Boolean = False`
`);`

## Arguments

`Asource` |  | Stream with compressed data
`Askipheader` |  | Should the header data be skipped.

## Description

Create creates and initializes a new instance of the TDecompressionStream class. It calls the inherited Create and passes it the Source stream. The source stream is the stream from which the compressed (deflated) data is read.

If ASkipHeader is true, then the gzip data header is skipped, allowing TDecompressionStream to read deflated data in a .zip file. (this data does not have the gzip header record prepended to it).

Note that the source stream is by default not owned by the decompression stream, and is not freed when the decompression stream is destroyed.

## See also

Destroy |  | Destroys the TDecompressionStream instance